<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:card_view="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@android:color/transparent"
    android:orientation="vertical">

    <androidx.cardview.widget.CardView
        android:id="@+id/card_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_margin="@dimen/custom_margin3dp"
        card_view:cardBackgroundColor="@color/white"
        card_view:cardElevation="@dimen/custom_margin2dp"
        card_view:cardCornerRadius="@dimen/custom_margin3dp">


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="1dp"
            android:background="@drawable/rouded_corner_white"
            android:orientation="vertical">

            <TextView
                android:id="@+id/manual_brand_name"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:padding="@dimen/custom_margin"
                android:textStyle="normal"
                android:text="Brand Name - Sku Name"
                android:textColor="@color/black"
                android:textSize="@dimen/txt_size_14sp" />

            <LinearLayout
                android:id="@+id/manual_rl_stock_entry"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/custom_margin"
                android:orientation="horizontal"
                android:weightSum="10">

                <TextView
                    android:gravity="center"
                    android:id="@+id/manual_invoice_qty"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="2"
                    android:textColor="@color/black"
                    android:layout_gravity="center"
                    android:textSize="@dimen/txt_18sp"
                    android:textStyle="normal"/>

                <Button
                    android:id="@+id/manual_stock_img_minus"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.5"
                    android:layout_marginLeft="15dp"
                    android:background="@android:color/transparent"
                    android:gravity="center"
                    android:text="-"
                    android:layout_gravity="center"
                    android:textColor="@color/black"
                    android:textSize="@dimen/text_25dp" />


                <TextView
                    android:id="@+id/manual_actual_qty"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="0"
                    android:textColor="@color/black"
                    android:textSize="@dimen/txt_18sp"
                    android:textStyle="normal" />

                <Button
                    android:id="@+id/manual_stock_img_plus"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.5"
                    android:layout_marginRight="15dp"
                    android:background="@android:color/transparent"
                    android:gravity="center"
                    android:text="+"
                    android:layout_gravity="center"
                    android:textColor="@color/black"
                    android:textSize="@dimen/text_25dp" />

                <ImageView
                    android:id="@+id/manual_delete_added_product"
                    android:layout_width="@dimen/custom_margin35dp"
                    android:layout_height="@dimen/custom_margin35dp"
                    android:layout_gravity="center"
                    android:layout_weight="1.5"
                    android:gravity="center"
                    android:src="@mipmap/ic_delete_forever_black_48dp" />


                <CheckBox
                    android:buttonTint="@color/black"
                    android:visibility="gone"
                    android:id="@+id/confirm_check"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1">

                </CheckBox>


                <ImageView
                    android:visibility="gone"
                    android:id="@+id/manual_edit_product"
                    android:layout_width="@dimen/margin_30dp"
                    android:layout_height="@dimen/margin_30dp"
                    android:layout_gravity="center"
                    android:layout_weight="1.5"
                    android:gravity="center"
                    android:src="@drawable/edit_txt" />

                <ImageView
                    android:visibility="gone"
                    android:id="@+id/manual_cancel_product"
                    android:layout_width="@dimen/margin_30dp"
                    android:layout_height="@dimen/margin_30dp"
                    android:layout_gravity="center"
                    android:layout_weight="1.5"
                    android:gravity="center"
                    android:src="@mipmap/cancel_icon" />

            </LinearLayout>

            <LinearLayout
               android:visibility="gone"
                android:id="@+id/manual_reason_layout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/custom_margin"
                android:orientation="horizontal"
                android:weightSum="10">

                <TextView
                    android:textColor="@color/black"
                    android:textSize="@dimen/txt_size_14sp"
                    android:text="Reason"
                    android:layout_width="0dp"
                    android:layout_gravity="center_vertical"
                    android:layout_height="wrap_content"
                    android:layout_weight="3"></TextView>

                <Spinner
                    android:id="@+id/manual_reason_spinner"
                    android:layout_width="0dp"
                    android:layout_height="40dp"
                    android:layout_weight="7"
                    android:layout_gravity="center"
                    android:gravity="center"
                    android:background="@android:color/transparent"
                    android:textColor="@color/black" />

            </LinearLayout>
        </LinearLayout>
    </androidx.cardview.widget.CardView>
</LinearLayout>